%define major 0
%define api 1.6
%define libname %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} -d

Summary:	Spell checker and morphological analyzer library
Name:		hunspell
Version:	1.6.2
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Internationalization
Url:		http://hunspell.sourceforge.net/
Source0:	http://downloads.sourceforge.net/hunspell/%{name}-%{version}.tar.xz
Patch0:		%{name}-1.3.4-dict-path.patch
BuildRequires:	libreadline-devel
BuildRequires:	libncursesw-devel
BuildRequires:	ncurses-devel
BuildRequires:	bison
BuildRequires:	libtool
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Hunspell is a spell checker and morphological analyzer library
and program designed for languages with rich morphology and complex
word compounding or character encoding.

%package -n %{libname}
Summary:	Shared libraries for hunspell
Group:		System/Libraries
Provides:	libhunspell = %{version}-%{release}

%description -n %{libname}
Shared libraries for hunspell.

%package -n %{develname}
Summary:	Development files for hunspell
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	libhunspell1.2_0-devel
Obsoletes:	libhunspell1.3_0-devel

%description -n %{develname}
Development files and headers for hunspell.

%prep
%setup -q
%patch0 -p1 -b .dict

%build
autoreconf -vfi
%configure2_5x --disable-static \
	--with-ui \
	--with-readline \
	--disable-rpath

%make
cd po && make %{?_smp_mflags} update-gmo && cd ..

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}
rm -f %{buildroot}%{_libdir}/*.la

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_bindir}/*
%{_mandir}/hu/man1/*
%{_mandir}/man1/*
%{_mandir}/man3/

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*%{api}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man5/*



%changelog
* Thu Dec 25 2018 adrianomorselli <adrianomorselli> 1.6.2-1uplos2019
- update
